Subject: [midcom] Re: Which port to put in the Changed-Address attribute?

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 04 Mar 2002 19:42:54 -0500

Responses inline.

Cullen Jennings wrote:
> 
> All comments referring to draft-rosenberg-midcom-stun-00.txt
> 
> Imagine the case where a STUN server is running on two interfaces, A and
> B.
> This could be on one computer or as a second server on another computer.
> Now
> lets say I am using ports 5000 and 5001 and interface A and 6000 and
> 6001 on
> interface B. When A gets a request, if no flags are set it will return a
> response from 5000. If the change ip flag is set it will get a response
> from
> port 6000 on IP B. If both flags are set, it will get a response from
> 6001
> on IP B.
> 
> Now the 3rd paragraph on page 7 says "The server must add a
> CHANGE-ADDRESS
> attribute ... that contains the source IP address and port that would be
> used ...". It clear I put the address of B in but what port do I put in
> 5001, 6000, or 6001?

Good question. Let me express it another way. The client can request a
change in IP only, a change in port only, or both. When the changed
address is returned, which of those are assumed?

> 
> I can see two responses too this:
> 
> 1) you can't do that - if you use port 5000 and 5001 on A you MUST use
> 5000
> and 5001 on B.
> 
> 2) we need to add a bit to deal with this case
> 
> I'm in favor or option 1 but wanted to make sure this is what the
> authors
> had intended.

I honestly hadn't thought about it. I think (1) is simpler. Option (2)
would entail returning at least two CHANGED-ADDRESSes in the response -
one of the case of a change in port, and the other, for a case of change
in address and port. Rather than add another attribute, I think its easy
enough to simply mandate the same port be used. 

Thanks for your comment,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom